oRTP: /usr/obj/ports_mfs/ortp-0.24.2/ortp-0.24.2/include/ortp/ortp.h File Reference

oRTP 0.24.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ortp.h File Reference

General purpose library functions. More...

`#include "ortp/logging.h"`
`#include "ortp/rtpsession.h"`
`#include "ortp/sessionset.h"`

Go to the source code of this file.

## Functions
ORTP_PUBLIC bool_t | ortp_min_version_required (int major, int minor, int micro)
ORTP_PUBLIC void | ortp_init (void)
ORTP_PUBLIC void | ortp_scheduler_init (void)
ORTP_PUBLIC void | ortp_exit (void)
ORTP_PUBLIC void | ortp_global_stats_reset (void)
ORTP_PUBLIC rtp_stats_t * | ortp_get_global_stats (void)
ORTP_PUBLIC void | ortp_global_stats_display (void)
ORTP_PUBLIC void | rtp_stats_display (const rtp_stats_t *stats, const char *header)
ORTP_PUBLIC void | rtp_stats_reset (rtp_stats_t *stats)

## Variables
rtp_stats_t | ortp_global_stats

## Detailed Description

General purpose library functions.

## Function Documentation

ORTP_PUBLIC void ortp_exit | ( | void |  | ) |

Gracefully uninitialize the library, including shutdowning the scheduler if it was started.

ORTP_PUBLIC void ortp_global_stats_display | ( | void |  | ) |

Display global statistics (cumulative for all RtpSession)

References rtp_stats_display().

ORTP_PUBLIC void ortp_init | ( | void |  | ) |

Initialize the oRTP library. You should call this function first before using oRTP API.

ORTP_PUBLIC bool_t ortp_min_version_required | ( | int | major,
|  | int | minor,
|  | int | micro
| ) |  |

This function give the opportunity to programs to check if the libortp they link to has the minimum version number they need.

Returns: true if ortp has a version number greater or equal than the required one.

ORTP_PUBLIC void ortp_scheduler_init | ( | void |  | ) |

Initialize the oRTP scheduler. You only have to do that if you intend to use the scheduled mode of the #RtpSession in your application.

ORTP_PUBLIC void rtp_stats_display | ( | const rtp_stats_t * | stats,
|  | const char * | header
| ) |  |

Print RTP statistics.

Referenced by ortp_global_stats_display().